// pages/personCenter/accountSetting/accountSetting.js
const { baseUrl } = require("../../../request");

Page({

  /**
   * 页面的初始数据
   */
  data: {
    nickName: "",
    userAvatar: "",
    phoneNumber: ""
  },

  logOut() {
    wx.request({
      url: baseUrl + '/userInfo/mini/logout',
      method: 'GET',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        if (res.data.code === 1) {
          wx.showToast({
            title: '退出登录',
            icon: 'success'
          })
          wx.reLaunch({
            url: '/pages/loginModule/pwdLogin/pwdLogin',
          })
        } else {
          wx.showToast({
            title: res.data.message,
            icon: 'error'
          })
        }
      },
      fail: () => {
        wx.showToast({ title: '网络错误，请重试', icon: 'none' });
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const token = wx.getStorageSync('token');

    // 获取用户信息
    wx.request({
      url: baseUrl + '/userInfo/get/jwt',
      method: 'GET',
      header: {
        Authorization: token
      },
      success: res => {
        if (res.data.code === 1) {
          this.setData({
            nickName: res.data.data.nickName,
            // TODO  头像未连接
            userAvatar: res.data.data.userAvatar,
            phoneNumber: res.data.data.phoneNumber,
            userAccount: res.data.data.userAccount
          })
        }
      },
      fail: () => {
        wx.showToast({ title: '网络错误，请重试', icon: 'none' });
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})